commit:     c897db2b594154411cb131a424a0d03a6b59bea3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 29 06:36:49 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 29 06:42:25 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c897db2b

dev-python/protobuf: Bump to 5.29.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/protobuf/Manifest               |  1 +
 dev-python/protobuf/protobuf-5.29.5.ebuild | 36 ++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/protobuf/Manifest b/dev-python/protobuf/Manifest
index f6d2ea44c4de..dbb057902755 100644
--- a/dev-python/protobuf/Manifest
+++ b/dev-python/protobuf/Manifest
@@ -1,2 +1,3 @@
 DIST protobuf-5.29.4.py.tar.gz 424902 BLAKE2B 
54941b008ff5ebd007076448828564128d98e9a6a4613c87057c359124940d341358fe28107b929e3e842ac7e1b34ed54c30219ed95cbb418826592e2458a01f
 SHA512 
634faf103ed8320762593689796d26e6b988e1b40277b12dc7356983c07d5d1da8cac1530e4f16c0a1494abfb885f26bf9884988029e863515cf535c62d96c77
+DIST protobuf-5.29.5.py.tar.gz 425226 BLAKE2B 
1d7461e94ba8bc097d6f52170678665e3cd97ef44e4757e6c20bcb1bdfbfe673d26cd4a63f8e6972af964e381dfffedeb9a4959ec7a7d5a3a3f87f917c8aa329
 SHA512 
cbb39efe7f6499362b3e4cc9f073df921c8b83d3aafde245a2ca3432f3e744a428e946799c48b2797e08312342e164eced0bf2b8865b8d042b54913855abb1c8
 DIST protobuf-6.30.2.py.tar.gz 429315 BLAKE2B 
6b56e23a8a962ce9da282ec49c4807877f4bfb677ad84bb6930b83cc436e9839f5791cfb19105678881c8361e27d62d3dde51e5e6c42f7a0e146d9e469282780
 SHA512 
48ddb2b63acc91759ba4243926c50bb0d16601aace9019129975701634b77a59415659751c69b06464afe994a0fbbd8da6640a208b743ba7df8bf6d60c5ec2b9

diff --git a/dev-python/protobuf/protobuf-5.29.5.ebuild 
b/dev-python/protobuf/protobuf-5.29.5.ebuild
new file mode 100644
index 000000000000..116324351ddf
--- /dev/null
+++ b/dev-python/protobuf/protobuf-5.29.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2008-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Default implementation currently is upb, which doesn't match 
dev-libs/protobuf
+# 
https://github.com/protocolbuffers/protobuf/blob/main/python/README.md#implementation-backends
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+PYPI_PN="protobuf"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google's Protocol Buffers - Python bindings"
+HOMEPAGE="
+       https://protobuf.dev/
+       https://pypi.org/project/protobuf/
+"
+
+# Rename sdist to avoid conflicts with dev-libs/protobuf
+SRC_URI="
+       $(pypi_sdist_url) -> ${P}.py.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0/$(ver_cut 1-3)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # strip old-style namespace
+       rm google/__init__.py || die
+}

Reply via email to